Categories:
  - Internet
  - Connectivity
License: GPL-3.0-only
WebSite: https://nextcloud.com/talk/
SourceCode: https://github.com/nextcloud/talk-android
IssueTracker: https://github.com/nextcloud/talk-android/issues
Translation: https://www.transifex.com/nextcloud/public/
Changelog: https://github.com/nextcloud/talk-android/releases
Donate: https://nextcloud.com/include/

AutoName: Talk

RepoType: git
Repo: https://github.com/nextcloud/talk-android

Builds:
  - versionName: 1.1.0
    versionCode: 30
    commit: v1.1.0
    subdir: app
    gradle:
      - generic

  - versionName: 1.1.1
    versionCode: 31
    commit: v1.1.1
    subdir: app
    gradle:
      - generic

  - versionName: 1.1.3
    versionCode: 33
    commit: v1.1.3
    subdir: app
    gradle:
      - generic

  - versionName: 1.2.0
    versionCode: 34
    commit: v1.2.0beta1
    subdir: app
    gradle:
      - generic

  - versionName: 1.2.0beta2
    versionCode: 35
    commit: v1.2.0beta2
    subdir: app
    gradle:
      - generic

  - versionName: 1.2.0beta3
    versionCode: 36
    commit: v1.2.0beta3
    subdir: app
    gradle:
      - generic

  - versionName: 2.0.0
    versionCode: 39
    commit: v2.0.0
    subdir: app
    gradle:
      - generic

  - versionName: 2.0.1
    versionCode: 42
    commit: v2.0.1
    subdir: app
    gradle:
      - generic

  - versionName: 2.1.0beta1
    versionCode: 44
    commit: v2.1.0beta1
    subdir: app
    gradle:
      - generic

  - versionName: 2.1.0beta2
    versionCode: 45
    commit: v2.1.0beta2
    subdir: app
    gradle:
      - generic

  - versionName: 2.1.0beta3
    versionCode: 46
    commit: v2.1.0beta3
    subdir: app
    gradle:
      - generic

  - versionName: 2.1.2
    versionCode: 51
    commit: v2.1.2
    subdir: app
    gradle:
      - generic

  - versionName: 3.0.0beta3
    versionCode: 54
    commit: v3.0.0beta3
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle

  - versionName: 3.0.0beta8
    versionCode: 59
    commit: v3.0.0beta8
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 3.0.0beta10
    versionCode: 61
    commit: v3.0.0beta10
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 3.0.0
    versionCode: 62
    commit: v3.0.0
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 3.0.1
    versionCode: 63
    commit: 558b56518f25c39016c220a098805199bcdae2cd
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 3.1.0beta3
    versionCode: 66
    commit: v3.1.0beta3
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 3.1.0beta6
    versionCode: 69
    commit: v3.1.0beta6
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 3.1.0
    versionCode: 70
    commit: v3.1.0
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 3.1.1
    versionCode: 71
    commit: v3.1.1
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 3.1.2
    versionCode: 72
    commit: v3.1.2
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 3.1.3
    versionCode: 73
    commit: v3.1.3
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 3.2.0beta1
    versionCode: 74
    commit: v3.2.0beta1
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 3.2.0beta4
    versionCode: 77
    commit: v3.2.0beta4
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 3.2.0
    versionCode: 79
    commit: v3.2.0
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 3.2.1
    versionCode: 80
    commit: v3.2.1
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 3.2.3
    versionCode: 82
    commit: v3.2.3
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 3.2.5
    versionCode: 84
    commit: v3.2.5
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 3.2.6
    versionCode: 85
    commit: v3.2.6
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 3.2.7
    versionCode: 86
    commit: v3.2.7
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 7.0.5
    versionCode: 119
    commit: v7.0.5
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 7.0.7
    versionCode: 121
    commit: v7.0.7
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 7.0.8
    versionCode: 122
    commit: v7.0.8
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 8.0.0
    versionCode: 127
    commit: v8.0.0
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 8.0.1
    versionCode: 128
    commit: v8.0.1
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 8.0.2
    versionCode: 129
    commit: v8.0.2
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 8.0.3
    versionCode: 130
    commit: v8.0.3
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 8.0.6
    versionCode: 133
    commit: v8.0.6
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 8.0.8
    versionCode: 135
    commit: v8.0.8
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 8.0.9
    versionCode: 136
    commit: v8.0.9
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 8.0.10
    versionCode: 137
    commit: v8.0.10
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 8.1.0
    versionCode: 80010090
    commit: v8.1.0
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 8.2.0
    versionCode: 80020090
    commit: v8.2.0
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 11.1.2
    versionCode: 120000005
    commit: v11.1.2
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 12.1.2
    versionCode: 120010290
    commit: 55ffd210d100fb8036b8c11a0d5077a695f21a61
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 12.2.0
    versionCode: 120020090
    commit: 28594cf18d58e32cb39bc09cdc6e148de5b8c55f
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 12.2.0
    versionCode: 120020091
    commit: f8ce30c6152d1876872a7060c658dce972ca3c34
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 12.2.1
    versionCode: 120020190
    commit: 1f11271074f7bc2624737b2cee0c996bcca928fe
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 12.3.0
    versionCode: 120030090
    commit: f2a76060b911765d4fd168a95aa8b1175e6985e2
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 12.4.0
    versionCode: 120040090
    commit: f6d00136a9f2649a9fc0a25acb07c6e0982a9bed
    subdir: app
    gradle:
      - generic
    rm:
      - app/gplay.gradle
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 13.0.0
    versionCode: 130000090
    commit: c107f680ed15100297e5b18c8aa3d67ec59e6fe6
    subdir: app
    gradle:
      - generic
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 14.0.0
    versionCode: 140000090
    disable: https://github.com/nextcloud/talk-android/issues/2972
    commit: 1d79ca851706ecc02af1eb48cb6ae17711587fdb
    subdir: app
    gradle:
      - generic
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 14.0.1
    versionCode: 140000190
    disable: https://github.com/nextcloud/talk-android/issues/2972
    commit: 0904d2e289a8e65b3c000fd6eb9a2254cd580b72
    subdir: app
    gradle:
      - generic
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 14.0.2
    versionCode: 140000290
    disable: https://github.com/nextcloud/talk-android/issues/2972
    commit: 9dec7742d41c618d1ce1350f14df7744b9d3ba88
    subdir: app
    gradle:
      - generic
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 14.1.0
    versionCode: 140010090
    disable: https://github.com/nextcloud/talk-android/issues/2972
    commit: 2596bc1ab183f6829df1b8779bf49f5560c1bf51
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - generic
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 14.1.1
    versionCode: 140010190
    disable: https://github.com/nextcloud/talk-android/issues/2972
    commit: 129ffa2fc4f71972596e9a20ca33389185d78795
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - generic
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 14.2.0
    versionCode: 140020090
    disable: https://github.com/nextcloud/talk-android/issues/2972
    commit: da6e21bbd469b0502f158249b2a2b86737456daf
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - generic
    prebuild: sed -i -e '/work-firebase/d' build.gradle

  - versionName: 15.0.0
    versionCode: 150000090
    disable: https://github.com/nextcloud/talk-android/issues/2972
    commit: 2266c8535bfa93b56a9d1d72e518d5211b6513da
    subdir: app
    gradle:
      - generic

  - versionName: 15.0.1
    versionCode: 150000190
    disable: https://github.com/nextcloud/talk-android/issues/2972
    commit: 3f791a03a4f9efe9b9ee8d43be552df00296a75d
    subdir: app
    gradle:
      - generic

  - versionName: 15.0.2
    versionCode: 150000290
    disable: https://github.com/nextcloud/talk-android/issues/2972
    commit: a5f4796850352d19f3d9c31026b970da5ace5bca
    subdir: app
    gradle:
      - generic

  - versionName: 15.0.3
    versionCode: 150000390
    disable: https://github.com/nextcloud/talk-android/issues/2972
    commit: 1adedae7b9bcdddebdd6a9ec62af34abb08fdd7b
    subdir: app
    gradle:
      - generic

  - versionName: 15.1.0
    versionCode: 150010090
    disable: https://github.com/nextcloud/talk-android/issues/2972
    commit: a3db009382984055dbb329b208c8497d67b964d4
    subdir: app
    gradle:
      - generic

  - versionName: 15.1.1
    versionCode: 150010190
    disable: https://github.com/nextcloud/talk-android/issues/2972
    commit: c54693991b90040d25a827f9a4e73e85a046834e
    subdir: app
    gradle:
      - generic

  - versionName: 15.1.2
    versionCode: 150010290
    disable: https://github.com/nextcloud/talk-android/issues/2972
    commit: 1b1e7e4ee5678ec6775ba4cf2ab34e7263fde157
    subdir: app
    gradle:
      - generic

  - versionName: 16.0.0
    versionCode: 160000090
    disable: https://github.com/nextcloud/talk-android/issues/2972
    commit: 89799b3e2fd638da9610cee63fdf48e036d5b6aa
    subdir: app
    gradle:
      - generic

  - versionName: 16.0.1
    versionCode: 160000190
    disable: https://github.com/nextcloud/talk-android/issues/2972
    commit: c29cd46faca12201af2af29970b6a869c2e97ec3
    subdir: app
    gradle:
      - generic

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v[\d.]+$
CurrentVersion: 16.0.1
CurrentVersionCode: 160000190
